Understanding Society User Support - Support #1649

Weights for longitudinal analysis
02/04/2022 10:42 AM - Laurence O'Brien

Status: Resolved Start date: 02/04/2022
Priority: Normal % Done: 100%
Assignee: Olena Kaminska

Category: Weights

Description

Hello,

| am trying to use Understanding Society to estimate how changes in workplace pension saving decisions are associated with
changes in other individual circumstances (e.g. moving house, changes in marital status, arrival/departure of children etc.). I'm not
sure exactly what waves to use for my analysis, and | was hoping you could help.

The pension saving variables | am interested in are in the work conditions module. This is only asked every other wave. For this
reason, to calculate changes in pension saving, | am planning on comparing wave t answer with wave t-2 answer. Then | would
measure changes in individual circumstances by comparing the same two waves (I don't think | can just use the annualeventhistory
module as this only asks about changes over the course of one year, while | am interested in changes over the course of two years).
| will then want to look at both these changes each wave (e.g. how many people joined a pension between waves 2 and 4, between
wave 4 and 6 etc.), but also looked at this pooled (e.g. over all even waves 2 to 10, what proportion of people who were not in a
pension in wave t-2, had become member of a pension by wave t, and how is this associated with e.g. having a child between t-2
and t).

| am a bit unsure which weights to use for this analysis. | have had a look at the FAQs on the website, and | think | should be using
longitudinal weights. | think one option would be to use _Iw weights given in Understanding Society. For example, when looking at
changes between waves 2 and 4, or 4 and 6, use d_indinub_Iw and f_indinub_Iw respectively, and then when looking at changes
between 6 and 8 or 8 and 10, use h_indinui_Iw and j_indinui_Ilw respectively. Would this be correct?

| suppose one issue with this is that e.g. when using f_indinub_Ilw for waves 4-6, this only gives weight to people who were in all
weights 2 to 6 (if | understand correctly). But | am only interested in waves 4 and 6 in this case. Would | have to use my own weights
if | wanted to do this more accurately for extra precision? If so, how would | go about that - do | start with wave 4 cross-sectional
weights and then estimate a logit, where the outcome is being in wave 6, and adjust the wave 4 weights with the estimated logit
probabilities?

Please let me know if anything is unclear!

Many thanks in advance for your help,

Laurence

History

#1 - 02/04/2022 11:01 AM - Olena Kaminska

Laurence,

Thank you for your questions. Firstly, yes, the choice of your weights is correct - well done :)

And only if you need extra precision (e.g. if your estimates are marginally significant with our weights) you may want to consider what we call tailored
weights. Note, that your point estimates should not change with tailored weights for this analysis, but the variance may be slightly smaller - so you

may achieve significance where previously it was marginally significant. If still interested we have now a tailored weight online course developed.
Request it via email to usersupport.

Best,
Olena

#2 - 02/04/2022 11:05 AM - Laurence O'Brien
Hi Olena,

Ok that's good to know, thanks! | will email about the tailored weight course.

Many thanks
Laurence
#3 - 02/21/2022 02:56 PM - Understanding Society User Support Team
- Status changed from New to Feedback

- % Done changed from 0 to 80

#4 - 06/06/2022 09:05 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100

#5 - 12/01/2022 06:37 PM - Understanding Society User Support Team
- Private changed from Yes to No
